# std::basic_ifstream::rdbuf

From cppreference.com
< cpp‎ | io‎ | basic ifstream

std::basic_filebuf<CharT, Traits>* rdbuf() const; |  | (since C++11)

Returns pointer to the underlying raw file device object.

### Parameters

(none)

### Return value

Pointer to the underlying raw file device.

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_ifstream/rdbuf&oldid=50841"
Category:

- Todo no example